> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all bank transactions

> The endpoint allows developers to receive user-authorized transaction data.



## OpenAPI

````yaml GET /v1/links/{link_id}/transactions/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/links/{link_id}/transactions/:
    parameters:
      - name: link_id
        in: path
        description: Link ID
        required: true
        schema:
          type: string
        example: 24d7e80942ce4ad58a93f70ce4115f5c
    get:
      tags:
        - Transactions
      summary: List all bank transactions
      description: >-
        The endpoint allows developers to receive user-authorized transaction
        data.
      operationId: link-bank-data-transactions
      parameters:
        - name: account_ids
          in: query
          description: Comma-separated list of account IDs to filter transactions
          required: false
          schema:
            type: string
        - name: categories
          in: query
          description: Comma-separated list of categories to filter transactions
          required: false
          schema:
            type: string
        - name: account_types
          in: query
          description: >-
            Comma-separated list of account types to filter transactions (e.g.,
            CHECKING, SAVINGS)
          required: false
          schema:
            type: string
        - name: account_subtypes
          in: query
          description: Comma-separated list of account subtypes to filter transactions
          required: false
          schema:
            type: string
        - name: transacted_at_from
          in: query
          description: Filter `transacted_at` greater than or equal (ISO-8601)
          required: false
          schema:
            type: string
        - name: transacted_at_to
          in: query
          description: Filter `transacted_at` less than or equal (ISO-8601)
          required: false
          schema:
            type: string
        - name: page
          in: query
          description: A page number within the paginated result set.
          required: false
          schema:
            type: integer
        - name: page_size
          in: query
          description: >-
            Number of results to return per page. Default is 100, maximum is
            500.
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionsResponse'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    TransactionsResponse:
      required:
        - count
        - next
        - previous
        - accounts
        - transactions
      type: object
      properties:
        count:
          title: Count
          type: integer
        next:
          title: Next
          type: string
          format: uri
          minLength: 1
          nullable: true
        previous:
          title: Previous
          type: string
          format: uri
          minLength: 1
          nullable: true
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/Account'
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/Transaction'
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    Account:
      required:
        - type
        - subtype
        - mask
        - balances
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          readOnly: true
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        created_at:
          description: Timestamp when the account was created in Truv
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T11:30:00Z'
        updated_at:
          description: Timestamp when the account was updated last time in Truv
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T12:00:00Z'
        type:
          description: The account's type
          type: string
          enum:
            - CHECKING
            - SAVINGS
            - LOAN
            - CREDIT_CARD
            - INVESTMENT
            - LINE_OF_CREDIT
            - MORTGAGE
            - PROPERTY
            - CASH
            - INSURANCE
            - PREPAID
            - CHECKING_LINE_OF_CREDIT
            - null
          readOnly: true
          example: CHECKING
          nullable: true
        subtype:
          description: The account's subtype
          type: string
          enum:
            - MONEY_MARKET
            - CERTIFICATE_OF_DEPOSIT
            - AUTO
            - STUDENT
            - SMALL_BUSINESS
            - PERSONAL
            - PERSONAL_WITH_COLLATERAL
            - HOME_EQUITY
            - BOAT
            - POWERSPORTS
            - RV
            - HELOC
            - PLAN_401_K
            - PLAN_403_B
            - PLAN_529
            - IRA
            - ROLLOVER_IRA
            - ROTH_IRA
            - TAXABLE
            - NON_TAXABLE
            - BROKERAGE
            - TRUST
            - UNIFORM_GIFTS_TO_MINORS_ACT
            - PLAN_457
            - PENSION
            - EMPLOYEE_STOCK_OWNERSHIP_PLAN
            - SIMPLIFIED_EMPLOYEE_PENSION
            - SIMPLE_IRA
            - PLAN_ROTH_401_K
            - FIXED_ANNUITY
            - VARIABLE_ANNUITY
            - HSA
            - TAX_FREE_SAVINGS_ACCOUNT
            - INDIVIDUAL
            - REGISTERED_RETIREMENT_INCOME_FUND
            - CASH_MANAGEMENT_ACCOUNT
            - EMPLOYEE_STOCK_PURCHASE_PLAN
            - REGISTERED_EDUCATION_SAVINGS_PLAN
            - PROFIT_SHARING_PLAN
            - UNIFORM_TRANSFER_TO_MINORS_ACT
            - PLAN_401_A
            - SARSEP_IRA
            - FIXED_ANNUITY_TRADITIONAL_IRA
            - VARIABLE_ANNUITY_TRADITIONAL_IRA
            - SEPP_IRA
            - INHERITED_TRADITIONAL_IRA
            - FIXED_ANNUITY_ROTH_IRA
            - VARIABLE_ANNUITY_ROTH_IRA
            - INHERITED_ROTH_IRA
            - COVERDELL
            - ADVISORY_ACCOUNT
            - BROKERAGE_MARGIN
            - CHARITABLE_GIFT_ACCOUNT
            - CHURCH_ACCOUNT
            - CONSERVATORSHIP
            - CUSTODIAL
            - DEFINED_BENEFIT_PLAN
            - DEFINED_CONTRIBUTION_PLAN
            - EDUCATIONAL
            - ESTATE
            - EXECUTOR
            - GROUP_RETIREMENT_SAVINGS_PLAN
            - GUARANTEED_INVESTMENT_CERTIFICATE
            - HRA
            - INDEXED_ANNUITY
            - INVESTMENT_CLUB
            - IRREVOCABLE_TRUST
            - JOINT_TENANTS_BY_ENTIRITY
            - JOINT_TENANTS_COMMUNITY_PROPERTY
            - JOINT_TENANTS_IN_COMMON
            - JOINT_TENANTS_WITH_RIGHTS_OF_SURVIVORSHIP
            - KEOUGH_PLAN
            - LIFE_INCOME_FUND
            - LIVING_TRUST
            - LOCKED_IN_RETIREMENT_ACCOUNT
            - LOCKED_IN_RETIREMENT_INVESTMENT_FUND
            - LOCKED_IN_RETIREMENT_SAVINGS_ACCOUNT
            - MONEY_PURCHASE_PLAN
            - PARTNERSHIP
            - PLAN_409_A
            - PLAN_ROTH_403_B
            - REGISTERED_DISABILITY_SAVINGS_PLAN
            - REGISTERED_LOCKED_IN_SAVINGS_PLAN
            - REGISTERED_PENSION_PLAN
            - REGISTERED_RETIREMENT_SAVINGS_PLAN
            - REVOCABLE_TRUST
            - ROTH_CONVERSION
            - SOLE_PROPRIETORSHIP
            - SPOUSAL_IRA
            - SPOUSAL_ROTH_IRA
            - TESTAMENTARY_TRUST
            - THRIFT_SAVINGS_PLAN
            - INHERITED_ANNUITY
            - CORPORATE_ACCOUNT
            - LIMITED_LIABILITY_ACCOUNT
            - VEHICLE_INSURANCE
            - DISABILITY
            - HEALTH
            - LONG_TERM_CARE
            - PROPERTY_AND_CASUALTY
            - UNIVERSAL_LIFE
            - TERM_LIFE
            - WHOLE_LIFE
            - ACCIDENTAL_DEATH_AND_DISMEMBERMENT
            - VARIABLE_UNIVERSAL_LIFE
            - ROTH
            - ROLLOVER
            - OTHER
            - ANNUITY
            - TRANSFERRABLE_ON_DEATH
            - null
          readOnly: true
          example: MONEY_MARKET
          nullable: true
        mask:
          description: Last 4 digits of account number
          type: string
          readOnly: true
          example: '6789'
          nullable: true
        nickname:
          description: Description of account
          type: string
          readOnly: true
          example: My account
          nullable: true
        balances:
          $ref: '#/components/schemas/AccountBalances'
    Transaction:
      required:
        - external_id
        - description
        - status
        - type
        - transacted_at
        - location
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          readOnly: true
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        created_at:
          description: Timestamp when the transaction was created in Truv
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T11:30:00Z'
        updated_at:
          description: Timestamp when the transaction was updated last time in Truv
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T12:00:00Z'
        account_id:
          description: Unique account ID
          type: string
          readOnly: true
          example: 68a7e80942ce4ad58a93f70ce411549a
        external_id:
          description: External ID
          type: string
          readOnly: true
          example: external_key_243901
        amount:
          type: string
          format: decimal
          readOnly: true
          example: '100.00'
        currency_code:
          description: Currency
          type: string
          readOnly: true
          example: USD
        check_number:
          description: Check number
          type: string
          readOnly: true
          example: '123456'
          nullable: true
        categories:
          description: Categories
          type: array
          items:
            type: string
          example:
            - Transfer
        description:
          description: Description of transaction
          type: string
          readOnly: true
          example: Some transaction
        status:
          type: string
          enum:
            - POSTED
            - PENDING
            - AUTHORIZATION
            - MEMO
          readOnly: true
          example: POSTED
        type:
          type: string
          enum:
            - DEBIT
            - CREDIT
            - MEMO
          readOnly: true
          example: DEBIT
        posted_at:
          description: Timestamp when funds were moved
          type: string
          format: date-time
          readOnly: true
          nullable: true
          example: '2022-05-04T11:30:00Z'
        transacted_at:
          description: Timestamp when the transaction occurred
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T11:30:00Z'
        memo:
          description: Additional descriptive information about the transaction
          type: string
          readOnly: true
          example: ''
          nullable: true
        merchant_name:
          description: Merchant name extracted from the transaction description
          type: string
          readOnly: true
          example: Starbucks
          nullable: true
        merchant_category_code:
          description: The ISO 18245 category code for the transaction
          type: number
          readOnly: true
          example: 5967
          nullable: true
        location:
          $ref: '#/components/schemas/Location'
    AccountBalances:
      type: object
      properties:
        currency_code:
          description: Currency
          type: string
          readOnly: true
          example: USD
        balance:
          description: Balance amount
          type: string
          format: decimal
          readOnly: true
          example: '100.00'
          nullable: true
        available_balance:
          description: Available balance amount
          type: string
          format: decimal
          readOnly: true
          example: '50.99'
          nullable: true
        credit_limit:
          description: Credit limit
          type: string
          format: decimal
          readOnly: true
          example: '200.00'
          nullable: true
    Location:
      required:
        - latitude
        - longitude
      type: object
      properties:
        latitude:
          description: Latitude
          type: number
          format: float
          readOnly: true
          nullable: true
          example: 40.73061
        longitude:
          description: Longitude
          type: number
          format: float
          readOnly: true
          nullable: true
          example: -73.935242
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````